<?php
/**
* @version $Id: admin.joombook.php 2005-11-11 23:12:31 Angel Franco Calixto $
* @package Joombook
* @copyright Copyright (C) 2005 TodosJuntos!. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Joombook! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

defined('_VALID_MOS') or die('El acceso directo a esta pgina no esta permitido.');

require_once ($mosConfig_absolute_path."/administrator/components/com_joombook/class.joombook.php");
require_once ($mainframe->getPath('admin_html'));

/* todosjuntos.org */
$_SESSION['adminlanguage']['iso'] = $mosConfig_lang;
include_once dirname(__FILE__)."/a_translator.php";
$_LANG = new sjoomla_I18N();
$_LANG->loadAll($option);
$_LANG->debug( $mosConfig_debug );
/**/


switch ($task) {
	case "publish" :
		publishJoombook($jbid, 1, $option);
		break;

	case "unpublish" :
		publishJoombook($jbid, 0, $option);
		break;

	case "new" :
		editJoombook($option, 0);
		break;

	case "edit" :
		editJoombook($option, $jbid[0]);
		break;

	case "remove" :
		removeJoombook($jbid, $option);
		break;

	case "save" :
		saveJoombook($option);
		break;

	case "config" :
		showConfig($option);
		break;

	case "savesettings" :
		saveConfig($option, 
		$jb_offline, $jb_offline_message, 
		$jb_autopublish, $jb_notify, 
		$jb_notify_email, $jb_thankuser, 
		$jb_perpage_r, $jb_perpage_c,
		$jb_sorting, $jb_allowentry);
		break;

	case "about" :
		showAbout();
		break;

	default :
		showJoombook($option);
		break;
}

echo "<p><font class='small'>".$_LANG->_( 'COPYRIGHT' )."</font></p>";

############################################################################
############################################################################

function showJoombook($option) {
    global $database;
	global $_LANG;

	$search = trim(strtolower(mosGetParam($_POST, 'search', '')));
	$limit = intval(mosGetParam($_POST, 'limit', 10));
	$limitstart = intval(mosGetParam($_POST, 'limitstart', 0));

	$where = array ();

	if ($search) {
		$where[] = "LOWER(message) LIKE '%$search%'";
	}

	$database->setQuery("SELECT count(*) FROM #__joombook AS a". (count($where) ? "\nWHERE ".implode(' AND ', $where) : ""));
	$total = $database->loadResult();
	echo $database->getErrorMsg();

	$database->setQuery("SELECT * FROM #__joombook". (count($where) ? "\nWHERE ".implode(' AND ', $where) : "")."\nORDER BY id DESC"."\nLIMIT $limitstart,$limit");

	$rows = $database->loadObjectList();
	if ($database->getErrorNum()) {
		echo $database->stderr();
		return false;
	}

	include_once ("includes/pageNavigation.php");
	$pageNav = new mosPageNav($total, $limitstart, $limit);

    links();
     echo '<div id="datacell">';
	 echo '<fieldset>';
	 echo '<legend>'.$_LANG->_( 'Entry' ).'</legend>';

	HTML_Joombook :: showJoombookEntries($option, $rows, $search, $pageNav);
	
	//echo '</fieldset>';
    //echo '</div>';

}

############################################################################
############################################################################

function removeJoombook($cid, $option) {
	global $database;

	if (count($cid)) {
		$cids = implode(',', $cid);
		$database->setQuery("DELETE FROM #__joombook WHERE id IN ($cids)");
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}
	mosRedirect("index2.php?option=$option");
}

############################################################################
############################################################################

function publishJoombook($cid = null, $publish = 1, $option) {
	global $database;

	if (!is_array($cid) || count($cid) < 1) {
		$action = $publish ? 'publish' : 'unpublish';
		echo "<script> alert('Select an item to $action'); window.history.go(-1);</script>\n";
		exit;
	}

	$cids = implode(',', $cid);

	$database->setQuery("UPDATE #__joombook SET published='$publish' WHERE id IN ($cids)");
	if (!$database->query()) {
		echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		exit ();
	}

	mosRedirect("index2.php?option=$option");
}

############################################################################
############################################################################

function editJoombook($option, $jbid) {
	global $mosConfig_absolute_path, $mosConfig_live_site, $database;
	global $_LANG;

	$row = new mosJoombook();

	if ($jbid) {
		$database->setQuery("SELECT * FROM #__joombook WHERE id = $jbid");
		$rows = $database->loadObjectList();
		$row = $rows[0];
	} else {
		// initialise new record
		$row->published = 0;
	}

	// make the select list for the image positions
	$yesno[] = mosHTML :: makeOption('0', $_LANG->_( 'No' ));
	$yesno[] = mosHTML :: makeOption('1', $_LANG->_( 'Yes' ));

	// build the html select list
	$publist = mosHTML :: selectList($yesno, 'published', 'class="inputbox" size="1"', 'value', 'text', $row->published);

	HTML_Joombook :: editJoombook($option, $row, $publist);
	
}

############################################################################
############################################################################

function saveJoombook($option) {
	global $my, $database;

	$row = new mosJoombook();
	if (!$row->bind($_POST)) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}
	$row->_tbl_key = "id";

	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit ();
	}

	mosRedirect("index2.php?option=$option");
}

############################################################################
############################################################################

function showConfig($option) {
	global $mosConfig_absolute_path;
	global $_LANG;
	require ($mosConfig_absolute_path."/administrator/components/com_joombook/config.joombook.php");
?>
    <script language="javascript" type="text/javascript">
    function submitbutton(pressbutton) {
      var form = document.adminForm;
      if (pressbutton == 'cancel') {
        submitform( pressbutton );
        return;
      }
      //if (form.jb_perpage_r.value == ""){
        //alert( "<?php //echo $_LANG->_( 'ENTRIESGREATER' );?>" );
      //} else {
        submitform( pressbutton );
      //}
    }
    </script>
  <form action="index2.php" method="post" name="adminForm" id="adminForm">
  
  <?php
	$joombooktabs = new mosTabs(0);
	$joombooktabs->startPane("joombook");
	$joombooktabs->startTab($_LANG->_( 'Backend' ), "Backend-page");
?>
    <table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
      <tr align="center" valign="middle">
        <td width="20%" align="left" valign="top"><strong><?php echo $_LANG->_( 'Joombook offline' );?>:</strong></td>
        <td width="20%" align="left" valign="top">
        <?php
	$yesno[] = mosHTML :: makeOption('0', $_LANG->_( 'No' ));
	$yesno[] = mosHTML :: makeOption('1', $_LANG->_( 'Yes' ));
	echo mosHTML :: yesnoRadioList('jb_offline', 'class="inputbox"', $jb_offline);
?>
        </td>
        <td width="60%" align="left" valign="top"><?php echo $_LANG->_( 'SWITCHJOOMBOOK' );?></td>
      </tr>
      <tr align="center" valign="middle">
        <td align="left" valign="top"><strong><?php echo $_LANG->_( 'Offline message' );?>:</strong></td>
        <td align="left" valign="top">
          <?php $jb_offline_message = stripslashes("$jb_offline_message"); ?>
          <textarea class="inputbox" cols="30" rows="5" name="jb_offline_message"><?php echo "$jb_offline_message"; ?></textarea>
          </td>
        <td align="left" valign="top"><?php echo $_LANG->_( 'MESSAGEOFF' );?></td>
      </tr>
      <tr align="center" valign="middle">
        <td align="left" valign="top"><strong><?php echo $_LANG->_( 'Autopublish entries' );?>:</strong></td>
        <td align="left" valign="top">
        <?php

	echo mosHTML :: yesnoRadioList('jb_autopublish', 'class="inputbox"', $jb_autopublish);
?>
        </td>
        <td align="left" valign="top"><?php echo $_LANG->_( 'AUTOPUBLISHJOOMBOOK' );?></td>
      </tr>
      <tr align="center" valign="middle">
        <td align="left" valign="top"><strong><?php echo $_LANG->_( 'Notify webmaster' );?>:</strong></td>
        <td align="left" valign="top">
        <?php

	echo mosHTML :: yesnoRadioList('jb_notify', 'class="inputbox"', $jb_notify);
?>
        </td>
        <td align="left" valign="top"><?php echo $_LANG->_( 'NOTIFYJOOMBOOK' );?></td>
      </tr>
      <tr align="center" valign="middle">
        <td align="left" valign="top"><strong><?php echo $_LANG->_( 'Webmaster email' );?>:</strong></td>
        <td align="left" valign="top"><input type="text" name="jb_notify_email" value="<? echo "$jb_notify_email"; ?>"></td>
        <td align="left" valign="top"><?php echo $_LANG->_( 'EMAIL ADDRESS' );?></td>
      </tr>
      <tr align="center" valign="middle">
        <td align="left" valign="top"><strong><?php echo $_LANG->_( 'Thank user' );?>:</strong></td>
        <td align="left" valign="top">
        <?php

	echo mosHTML :: yesnoRadioList('jb_thankuser', 'class="inputbox"', $jb_thankuser);
?>
        </td>
        <td align="left" valign="top"><?php echo $_LANG->_( 'SEND THANK' );?></td>
      </tr>
    </table>
    <?php

	$joombooktabs->endTab();
	$joombooktabs->startTab($_LANG->_( 'Frontend' ), "Frontend-page");
?>
    <table width="100%" border="0" cellpadding="4" cellspacing="2" class="adminForm">
      <tr align="center" valign="middle">
        <td align="left" valign="top"><strong><?php echo $_LANG->_( 'Entries per Page' );?>:</strong></td>
        <td align="left" valign="top"><input name="jb_perpage_r" type="text" value="<? echo "$jb_perpage_r"; ?>" size="10" maxlength="2">
        &nbsp;x&nbsp;
        <input name="jb_perpage_c" type="text" value="<? echo "$jb_perpage_c"; ?>" size="10" maxlength="2"></td>
        <td align="left" valign="top"><?php echo $_LANG->_( 'NUMBERENTRIES' );?></td>
      </tr>
      <tr align="center" valign="middle">
        <td align="left" valign="top"><strong><?php echo $_LANG->_( 'SORTING' );?>:</strong></td>
        <td align="left" valign="top">
        <?php

	$sorting[] = mosHTML :: makeOption('DESC', $_LANG->_( 'New entries first' ));
	$sorting[] = mosHTML :: makeOption('ASC', $_LANG->_( 'New entries last' ));
	$mc_jb_sorting = mosHTML :: selectList($sorting, 'jb_sorting', 'class="inputbox" size="2"', 'value', 'text', $jb_sorting);
	echo $mc_jb_sorting;
?>
        </td>
        <td align="left" valign="top"><?php echo $_LANG->_( 'SORTINGJOOMBOOK' );?></td>
      </tr>
      <tr align="center" valign="middle">
        <td align="left" valign="top"><strong><?php echo $_LANG->_( 'Allow Entries' );?>:</strong></td>
        <td align="left" valign="top">
        <?php

	echo mosHTML :: yesnoRadioList('jb_allowentry', 'class="inputbox"', $jb_allowentry);
?>
        </td>
        <td align="left" valign="top"><?php echo $_LANG->_( 'ALLOWENTRIESJOOMBOOK' );?></td>
      </tr>
    </table>
    <?php

	$joombooktabs->endTab();
	$joombooktabs->endPane();
?>
  <input type="hidden" name="id" value="">
  <input type="hidden" name="task" value="">
  <input type="hidden" name="option" value="<?php echo $option; ?>">
</form>
<?php
}

############################################################################
############################################################################

function saveConfig($option, 
					$jb_offline, $jb_offline_message, 
					$jb_autopublish, $jb_notify, 
					$jb_notify_email, $jb_thankuser, 
					$jb_perpage_r,  $jb_perpage_c,
					$jb_sorting, $jb_allowentry) {
	
	global $_LANG;
	$configfile = "components/com_joombook/config.joombook.php";
	@ chmod($configfile, 0766);
	$permission = is_writable($configfile);
	if (!$permission) {
		mosRedirect("index2.php?option=$option&task=config", $_LANG->_( 'CONFIGNOTWRITEABLE' ));
		break;
	}

	$ab_offline_message = addslashes("$jb_offline_message");

	$config = "<?php\n";
	$config .= "\$jb_offline = \"$jb_offline\";\n";
	$config .= "\$jb_offline_message = \"$jb_offline_message\";\n";
	$config .= "\$jb_autopublish = \"$jb_autopublish\";\n";
	$config .= "\$jb_notify = \"$jb_notify\";\n";
	$config .= "\$jb_notify_email = \"$jb_notify_email\";\n";
	$config .= "\$jb_thankuser = \"$jb_thankuser\";\n";
	$config .= "\$jb_perpage_r = \"$jb_perpage_r\";\n";
	$config .= "\$jb_perpage_c = \"$jb_perpage_c\";\n";
	$config .= "\$jb_sorting = \"$jb_sorting\";\n";
	$config .= "\$jb_allowentry = \"$jb_allowentry\";\n";
	
	$config .= "?>";
	if ($fp = fopen("$configfile", "w")) {
		fputs($fp, $config, strlen($config));
		fclose($fp);
	}
	mosRedirect("index2.php?option=$option", $_LANG->_( 'Settings saved' ));
}

############################################################################
############################################################################

function showAbout() {
  global $_LANG;
  
     links();
     echo '<div id="datacell">';
	 echo '<fieldset>';
	 echo '<legend>'.$_LANG->_( 'About' ).'</legend>';
	 
	HTML_Joombook :: showAbout();
	
	//echo '</fieldset>';
    //echo '</div>';
}

############################################################################
############################################################################
 
 function links() {
 global $_LANG;
 
 echo '<div id="treecell">';
 echo '<fieldset>';
 echo '<legend>'.$_LANG->_( 'Related Links' ).'</legend>';
 echo '<ul class="relatedlinks">';
 echo '<li>';
 echo '<a href="index2.php?option=com_joombook&task=view">'.$_LANG->_( 'Entry' ).'</a>';
 echo '</li>';
 echo '<li>';
 echo '<a href="index2.php?option=com_joombook&task=config">'.$_LANG->_( 'Config' ).'</a>';
 echo '</li>';
 echo '<li>';
 echo '<a href="index2.php?option=com_joombook&task=about">'.$_LANG->_( 'About' ).'</a>';
 echo '</li>';
 echo '</ul>';
 echo '</fieldset>';
 echo '<fieldset>';
 echo '<legend>'.$_LANG->_( 'Quick Tip' ).'</legend>';
 echo '</fieldset>';
 echo '</div>';

}
?>